=== debian/changelog ===
conky (1.10.0-1mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  * Add Build-Conflicts for liblua5.2-dev. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 03 Aug 2015 18:06:01 -0700

conky (1.10.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Jul 2015 23:50:46 -0700

conky (1.10.0-1) unstable; urgency=medium

  * New upstream release.
    - This release introduces a new Lua-based conkyrc configuration format.
      See debian/NEWS for further information.
    - Patches applied upstream, removed: fix-curl-related-crashes.patch,
      fix-CVE-2011-3616.patch, fix-font-check.patch, fix-kfreebsd-ftbfs.patch
      fix-uninitialized-inotify_fd-value.patch
    - Patches that are obsolete, removed: fix-apcupsd.patch
    - Patches added: cmake_c_flags.patch, db2x_manxml_ascii.patch, 
      build_docs_offline.patch
  * Switch build system from autotools to cmake.
    - Add build-dep on cmake (>= 2.6); drop build-dep on autotools-dev.
  * Add build-deps on gawk, less, librsvg2-dev, docbook2x, docbook-xml,
    docbook-xsl; build documentation from source.
  * Update debian/copyright.
  * Update Standards version from 3.9.5 to 3.9.6, no changes required.
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 30 Jun 2015 21:35:43 -0700
