=== debian/control ===
Source: conky
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 audacious-dev,
 automake1.11 | automake (>= 1:1.11),
 cmake (>= 2.6),
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 docbook2x,
 dpkg-dev (>= 1.15.7),
 gawk,
 less,
 libasound2-dev [linux-any],
 libaudclient-dev,
 libcairo2-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libdevstat-dev [kfreebsd-any],
 libglib2.0-dev,
 libimlib2-dev,
 libiw-dev [linux-any],
 libkvm-dev [kfreebsd-any],
 liblua5.1-0-dev,
 libncurses5-dev,
 librsvg2-dev,
 libtolua++5.1-dev,
 libtool,
 libx11-dev,
 libxdamage-dev,
 libxext-dev,
 libxft-dev,
 libxml2-dev,
 libxmmsclient-dev,
 libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
 pkg-config (>= 0.19)
Build-Conflicts: liblua5.2-dev
Homepage: http://conky.sourceforge.net/
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk

Package: conky-std
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd, xmms2
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-all, conky-cli
Replaces: conky (<< 1.8.0-1), conky-all, conky-cli
Description: highly configurable system monitor (default version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.

Package: conky-std-dbg
Section: debug
Priority: extra
Architecture: any
Depends: conky-std (= ${binary:Version}), ${misc:Depends}
Description: highly configurable system monitor (default version - debug)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.
 .
 This package contains debugging symbols only.

Package: conky-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, moc, mpd
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-all, conky-std
Replaces: conky (<< 1.8.0-1), conky-all, conky-std
Description: highly configurable system monitor (basic version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.

Package: conky-cli-dbg
Section: debug
Priority: extra
Architecture: any
Depends: conky-cli (= ${binary:Version}), ${misc:Depends}
Description: highly configurable system monitor (basic version - debug)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.
 .
 This package contains debugging symbols only.

Package: conky-all
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd, xmms2
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-cli, conky-std
Replaces: conky (<< 1.8.0-1), conky-cli, conky-std
Description: highly configurable system monitor (all features enabled)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a full conky with most compile options enabled:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
 Audacious, and XMMS2.

Package: conky-all-dbg
Section: debug
Priority: extra
Architecture: any
Depends: conky-all (= ${binary:Version}), ${misc:Depends}
Description: highly configurable system monitor (all features enabled - debug)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a full conky with most compile options enabled:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
 Audacious, and XMMS2.
 .
 This package contains debugging symbols only.

Package: conky
Section: oldlibs
Priority: extra
Architecture: all
Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
Description: highly configurable system monitor (transitional package)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.
