=== debian/changelog ===
conky (1.10.1-3) unstable; urgency=medium

  * Add fix_build_math.patch to fix BUILD_MATH flag, in order to fix broken
    cpugauge and logscales in graphs. (Closes: #809546)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 06 Jan 2016 00:37:37 -0800

conky (1.10.1-2) unstable; urgency=medium

  * Add cmake_compat.patch to fix FTBFS with older (<= 3.3) versions of cmake.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 24 Dec 2015 17:02:27 -0800

conky (1.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault on kernels without ipv6 support. (Closes: #806983)
    - Drop all patches; applied upstream or obsolete.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 24 Dec 2015 00:08:45 -0800
