=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  automake1.11 | automake (>= 1:1.11),
@@ -37,7 +35,6 @@
  libxmmsclient-dev,
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
-Build-Conflicts: liblua5.2-dev
 Homepage: http://conky.sourceforge.net/
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
