=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 COMMON_CONF_ARGS=-DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_PREFIX=/usr \
-                 -DMAINTAINER_MODE=ON \
+                 -DMAINTAINER_MODE=ON -DRELEASE=True \
                  -DCMAKE_C_FLAGS="$(DEB_CFLAGS) $(DEB_CPPFLAGS)" \
                  -DCMAKE_CXX_FLAGS="$(DEB_CXXFLAGS) $(DEB_CPPFLAGS)"
 
@@ -83,7 +83,3 @@
 	# Do not run ldconfig on private shared libraries in /usr/lib/conky
 	# This fixes lintian warning "postinst-has-useless-call-to-ldconfig"
 	dh_makeshlibs -X/usr/lib/conky
-
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
