## conky 1.10.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -127,6 +127,11 @@
 if(BUILD_X11)
 	set(x11 x11.cc fonts.cc)
 	set(optional_sources ${optional_sources} ${x11})
+
+	if(BUILD_XINERAMA)
+		find_package(Xinerama REQUIRED)
+		set(conky_libs ${conky_libs} ${Xinerama_LIBRARIES})
+	endif(BUILD_XINERAMA)
 endif(BUILD_X11)
 
 if(BUILD_HDDTEMP)
