=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
 Homepage: http://conky.sourceforge.net/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk
 
 Package: conky-std
 Architecture: any
