=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  automake1.11 | automake (>= 1:1.11),
