=== debian/changelog ===
conky (1.10.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 04 Oct 2016 21:01:32 -0700

conky (1.10.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-ftbfs-with-build-x11-off.patch to fix FTBFS when
      built with -DBUILD_X11=OFF.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 18 Sep 2016 22:08:05 -0700
