## conky 1.10.6

=== debian/changelog ===
conky (1.10.6-1) unstable; urgency=medium

  * New upstream release.
  * Enable pulseaudio support in conky-all. (Closes: #841198)
    - Add build-dep on libpulse-dev.
  * Drop build-dep on libasound2-dev and remove references to ALSA mixer
    support in package descriptions; this has not been supported since 2010.
    (Refer to #726637)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 08 Dec 2016 23:46:09 -0800
