=== lua/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,6 @@
 
 install(TARGETS
 	${lua_libs}
-	LIBRARY DESTINATION lib${LIB_SUFFIX}/conky
-	ARCHIVE DESTINATION lib${LIB_SUFFIX}/conky
+	LIBRARY DESTINATION ${LIB_INSTALL_DIR}/conky
+	ARCHIVE DESTINATION ${LIB_INSTALL_DIR}/conky
 )
