=== debian/changelog ===
conky (1.10.8-1) unstable; urgency=medium

  * Acknowledge NMU, thanks to Adrian Bunk!
  * New upstream release.
    - Fix segfault when kernel reports non-sequential SMP CPU indices.
      (Closes: #873446)
    - Drop debian/patches/gcc-7.patch, applied upstream.
  * Remove build-dep on automake. (Closes: #865138)
  * Update Standards version from 3.9.8 to 4.1.3.
    - Update all priority: extra packages to priority: optional.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 28 Feb 2018 02:22:09 -0800

conky (1.10.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 7. (Closes: #853353)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Sep 2017 18:12:29 +0300
