=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
- automake1.11 | automake (>= 1:1.11),
  cmake (>= 2.6),
  debhelper (>= 9),
  docbook-xml,
@@ -36,7 +35,7 @@
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
 Homepage: http://conky.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk
 
@@ -52,7 +51,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This package should be a good compromise for most users that do not
  need special features.
@@ -63,7 +62,6 @@
 
 Package: conky-std-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: conky-std (= ${binary:Version}), ${misc:Depends}
 Description: highly configurable system monitor (default version - debug)
@@ -71,7 +69,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This package should be a good compromise for most users that do not
  need special features.
@@ -94,7 +92,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a basic package that can be useful in servers or piped with dzen2.
  It includes the following support:
@@ -103,7 +101,6 @@
 
 Package: conky-cli-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: conky-cli (= ${binary:Version}), ${misc:Depends}
 Description: highly configurable system monitor (basic version - debug)
@@ -111,7 +108,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a basic package that can be useful in servers or piped with dzen2.
  It includes the following support:
@@ -132,18 +129,17 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a full conky with most compile options enabled:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
- apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
+ apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
  Audacious, XMMS2, and PulseAudio.
 
 Package: conky-all-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: conky-all (= ${binary:Version}), ${misc:Depends}
 Description: highly configurable system monitor (all features enabled - debug)
@@ -151,20 +147,19 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a full conky with most compile options enabled:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
- apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
+ apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
  Audacious, XMMS2, and PulseAudio.
  .
  This package contains debugging symbols only.
 
 Package: conky
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
 Description: highly configurable system monitor (transitional package)
@@ -172,7 +167,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a dummy package to ease transition to the new packaging scheme.
  It may be safely removed after upgrade/installation.
