=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	-DBUILD_XDBE=ON -DBUILD_CURL=ON -DBUILD_IMLIB2=ON -DBUILD_RSS=ON \
 	-DBUILD_WEATHER_METAR=ON -DBUILD_WEATHER_XOAP=ON -DBUILD_LUA_CAIRO=ON \
 	-DBUILD_LUA_IMLIB2=ON -DBUILD_LUA_RSVG=ON -DBUILD_AUDACIOUS=ON \
-	-DBUILD_XMMS2=ON -DBUILD_EVE=ON
+	-DBUILD_XMMS2=ON -DBUILD_EVE=ON -DBUILD_PULSEAUDIO=ON
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory build-std
