=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
  libxft-dev,
  libxml2-dev,
  libxmmsclient-dev,
- libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
 Homepage: http://conky.sourceforge.net/
 Standards-Version: 4.1.3
