=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,13 @@
 
 ifeq ($(DEB_HOST_ARCH),i386)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
+       ENABLE_NVIDIA=-DBUILD_NVIDIA=OFF
 endif
 endif
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
+       ENABLE_NVIDIA=-DBUILD_NVIDIA=OFF
 endif
 endif
